%define	upstream_name	 Pod-Simple
%define upstream_version 3.42

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 1

Summary:    Perl module to parse Pod
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://metacpan.org/release/%{upstream_name}/
Source0:    https://cpan.metacpan.org/modules/by-module/Pod/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Carp)
BuildRequires: perl(Config)
BuildRequires: perl(Cwd)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(File::Basename)
BuildRequires: perl(File::Find)
BuildRequires: perl(File::Spec)
BuildRequires: perl(Pod::Escapes) >= 1.40.0
BuildRequires: perl(Symbol)
BuildRequires: perl(Test) >= 1.250.0
BuildRequires: perl(Test::More)
BuildRequires: perl(Text::Wrap) >= 98.112.902
BuildRequires: perl(if)
BuildRequires: perl(integer)
BuildRequires: perl(overload)
BuildRequires: perl(strict)
BuildArch:  noarch

%description
Pod::Simple is a module suite for parsing Pod.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make_build

%check
%make_build test

%install
%make_install

%files
%doc ChangeLog META.json META.yml MYMETA.yml README
%{perl_vendorlib}/Pod
%{_mandir}/man3/*

%changelog
* Sun Nov 15 2020 tv <tv> 3.420.0-1.mga8
+ Revision: 1646335
- update to 3.42

* Wed Oct 14 2020 tv <tv> 3.410.0-1.mga8
+ Revision: 1635580
- update to 3.41

* Mon Feb 17 2020 umeabot <umeabot> 3.400.0-2.mga8
+ Revision: 1537245
- Mageia 8 Mass Rebuild

* Mon Oct 28 2019 tv <tv> 3.400.0-1.mga8
+ Revision: 1456206
- update to 3.40

* Mon Jul 01 2019 tv <tv> 3.390.0-1.mga8
+ Revision: 1416724
- update to 3.39

* Sat Jun 29 2019 shlomif <shlomif> 3.380.0-1.mga8
+ Revision: 1415620
- update to 3.38

* Thu Sep 20 2018 umeabot <umeabot> 3.350.0-2.mga7
+ Revision: 1285746
- Mageia 7 Mass Rebuild

* Fri Jul 28 2017 sander85 <sander85> 3.350.0-1.mga7
+ Revision: 1132168
- update to 3.35

* Sun Jun 19 2016 pterjan <pterjan> 3.320.0-4.mga6
+ Revision: 1032327
- Rebuild for perl 5.22.2

* Sat Mar 26 2016 shlomif <shlomif> 3.320.0-3.mga6
+ Revision: 995679
- Rebuild for new perl version + SPEC cleanups
+ umeabot <umeabot>
- Mageia 6 Mass Rebuild

* Sun Nov 15 2015 tv <tv> 3.320.0-1.mga6
+ Revision: 903367
- new release

* Sun Sep 06 2015 sander85 <sander85> 3.310.0-1.mga6
+ Revision: 873592
- update to 3.31

* Tue Jun 30 2015 sander85 <sander85> 3.300.0-1.mga6
+ Revision: 848601
- update to 3.30

* Wed Oct 15 2014 umeabot <umeabot> 3.280.0-4.mga5
+ Revision: 744633
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 3.280.0-3.mga5
+ Revision: 686020
- Mageia 5 Mass Rebuild

* Mon Oct 21 2013 umeabot <umeabot> 3.280.0-2.mga4
+ Revision: 537421
- Mageia 4 Mass Rebuild

* Thu Sep 26 2013 sander85 <sander85> 3.280.0-1.mga4
+ Revision: 486994
- update to 3.28

* Wed Mar 27 2013 jquelin <jquelin> 3.230.0-5.mga3
+ Revision: 405529
- perl 5.16.3 rebuild

* Sun Jan 13 2013 umeabot <umeabot> 3.230.0-4.mga3
+ Revision: 371993
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed Nov 07 2012 jquelin <jquelin> 3.230.0-3.mga3
+ Revision: 315546
- perl 5.16.2 rebuild

* Mon Sep 17 2012 jquelin <jquelin> 3.230.0-2.mga3
+ Revision: 294857
- perl 5.16.1 rebuild

* Mon Aug 27 2012 jquelin <jquelin> 3.230.0-1.mga3
+ Revision: 284608
- update to 3.23

* Mon Jun 04 2012 jquelin <jquelin> 3.220.0-1.mga3
+ Revision: 254148
- update to 3.22

* Tue Mar 06 2012 jquelin <jquelin> 3.200.0-1.mga2
+ Revision: 219825
- update to 3.20

* Fri Nov 04 2011 jquelin <jquelin> 3.190.0-2.mga2
+ Revision: 162840
- take priority over module bundled with perl 5.14.2
- update to 3.19
+ kharec <kharec>
- update to 3.18

* Wed Mar 16 2011 jquelin <jquelin> 3.160.0-1.mga1
+ Revision: 72331
- update to 3.16

* Fri Feb 18 2011 jquelin <jquelin> 3.150.0-3.mga1
+ Revision: 53653
- rebuild

* Sat Jan 22 2011 jquelin <jquelin> 3.150.0-2.mga1
+ Revision: 32752
- rebuild
- mageia rebuild

* Thu Jan 13 2011 jquelin <jquelin> 3.150.0-1.mga1
+ Revision: 14043
- imported package perl-Pod-Simple

